{{- $architecture := or .architecture "amd64" -}}

architecture: {{ $architecture }}
actions:
  - action: overlay
    description: Copying linux firmwares to rootfs
    source: files/linux-firmware_1.187.35_all.deb
    destination: /var/tmp/linux-firmware_1.187.35_all.deb
  - action: overlay
    description: Copying linux firmwares to rootfs
    source: files/eg25-manager_0.4.6-1_arm64.deb
    destination: /var/tmp/eg25-manager_0.4.6-1_arm64.deb

# Install the linux firmware deb package
  - action: run
    chroot: true
    description: Installing linux firmwares
    label: dpkg
    command: dpkg -i /var/tmp/*.deb && rm /var/tmp/* -r
